var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Motion } from "@capacitor/motion";
import { saveMotionInfo } from "../../save-motion-info";
import { useEffect } from "react";
/**
 * This hook subscribes to the orientation event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithUseOrientationSubscription}
 */
export function useOrientationSubscription(param) {
    const { deep, deviceLinkId } = param;
    useEffect(() => {
        const orientationHandler = Motion.addListener('orientation', (orientationData) => __awaiter(this, void 0, void 0, function* () {
            yield saveMotionInfo({
                deep,
                deviceLinkId,
                info: {
                    rotationRate: orientationData
                },
            });
        }));
        return () => {
            orientationHandler.remove();
        };
    }, [deep, deviceLinkId]);
}
