var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Motion } from '@capacitor/motion';
import { saveMotionInfo } from './save-motion-info';
/**
 * Subscribes to orientation changes and saves them to Deep
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Orientation data is saved to Deep by using {@link saveMotionInfo}
 */
export function subscribeToOrientationChanges({ deep, deviceLinkId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        return Motion.addListener('orientation', (rotationRate) => __awaiter(this, void 0, void 0, function* () {
            yield saveMotionInfo({
                deep,
                deviceLinkId,
                info: {
                    rotationRate,
                },
            });
        }));
    });
}
